> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bawabah.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Capture Session



## OpenAPI

````yaml /api-reference/open-api.json post /app/session
openapi: 3.0.0
info:
  title: APP
  version: 1.0.0
  description: ''
servers:
  - url: https://api.bawabah.app/v1
security: []
paths:
  /app/session:
    parameters: []
    post:
      summary: Capture Session
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                sessionId:
                  type: string
                appId:
                  type: string
                appSecret:
                  type: string
              required:
                - sessionId
                - appId
                - appSecret
            example:
              sessionId: user-session-id
              appId: your-app-id
              appSecret: your-app-secret
      responses:
        '200':
          description: Success
          headers:
            Content-Type:
              schema:
                type: string
              example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  openId:
                    type: string
                  displayname:
                    type: string
                    nullable: true
                  avatar:
                    type: string
                    format: uri
                    nullable: true
                  method:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - email
                          - whatsapp
                      value:
                        type: string
              example:
                openId: Q7SKqba1J0uOw5a0i8Pay
                displayname: null
                avatar: >-
                  https://www.gravatar.com/avatar/eea714caf9753c6c7fdc0c4ef4a955f7?s=256&d=identicon
                method:
                  type: email
                  value: useremail@gmail.com

````